Hi all,

Has anyone ever used file_print_gimp via perl-fu? No matter what I try,
I always get an error and I can hardly find anything about it.

Here's what I'm doing:
---
#!/usr/bin/perl

use Gimp;
use Gimp::Fu;
Gimp::init;

my $img = Gimp->gimp_file_load("test.png", "test.png");
$drawable = $img->gimp_image_active_drawable;
Gimp->file_print_gimp($img,
                      $drawable,
                      '|/usr/bin/lpr',         # output_to
                      'ps2',                   # driver
                      '/etc/cups/ppd/HPLJ3330.ppd', # ppd_file
                      1,                       # output_type color
                      '300',                   # resolution
                      'A4',                    # media_size
                      'Standard',              # media_type
                      'Default',               # media_source
                      100.0,                   # brightness
                      100.0,                   # scaling
                      -1,                      # orientation auto
                      -1,                      # left centered
                      -1,                      # top centered
                      1.0,                     # gamma
                      1.0,                     # contrast
                      1.0,                     # cyan
                      1.0,                     # magenta
                      1.0,                     # yellow
                      0,                       # linear normal
                      2,                       # image_type
                      1.0,                     # saturation
                      1.0,                     # density
                      '',                      # ink_type
                      'Adaptive Hybrid',       # dither_algorithm
                      1);                      # unit metric
---
$ ./test.pl
test.pl: file_print_gimp: procedural database execution failed at
./test.pl line 10 (ERROR)

What am I doing wrong?
How can I get a more detailed error message?

I'm using gimp 2.2.6 and perl 5.8.4.

Best regards

Clemens

_______________________________________________
Gimp-user mailing list
Gimp-user@lists.xcf.berkeley.edu
http://lists.xcf.berkeley.edu/mailman/listinfo/gimp-user

Reply via email to